#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	python3		# Python 3 package
%bcond_without	python2		# Python 2 package

%define		module	lxml
Summary:	A Pythonic binding for the libxml2 and libxslt libraries
Summary(pl.UTF-8):	Pythonowe wiązanie do bibliotek libxml2 i libxslt
Name:		python-%{module}
Version:	2.3.5
Release:	1
License:	BSD
Group:		Libraries/Python
Source0:	http://lxml.de/files/%{module}-%{version}.tgz
# Source0-md5:	d03fb3b9139df7f182afffe72f412c87
URL:		http://lxml.de/
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-modules
%endif
%if %{with python3}
BuildRequires:	python3-Cython
BuildRequires:	python3-devel
BuildRequires:	python3-modules
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
lxml is a Pythonic binding for the libxml2 and libxslt libraries.

%description -l pl.UTF-8
lxml to pythonowe wiązanie do bibliotek libxml2 i libxslt.

%package -n	python3-%{module}
Summary:	A Pythonic binding for the libxml2 and libxslt libraries
Summary(pl.UTF-8):	Pythonowe wiązanie do bibliotek libxml2 i libxslt
Version:	%{version}
Release:	%{release}
Group:		Libraries/Python

%description -n python3-%{module}
lxml is a Pythonic binding for the libxml2 and libxslt libraries.

%description -n python3-%{module} -l pl.UTF-8
lxml to pythonowe wiązanie do bibliotek libxml2 i libxslt.

%package apidocs
Summary:	lxml API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki lxml
Group:		Documentation

%description apidocs
API and internal documentation for lxml library.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%{__python} setup.py build
%endif
%if %{with python3}
%{__python3} setup.py build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2
%endif

# cleanup for packaging
rm -rf docs
cp -a doc docs
# apidocs packaged separately
rm -rf docs/html
# build docs not useful at runtime
rm docs/build.txt
# common licenses
rm docs/licenses/{BSD,GPL}.txt

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc docs/* CHANGES.txt CREDITS.txt TODO.txt
%dir %{py_sitedir}/lxml
%{py_sitedir}/lxml/*.py[co]
%{py_sitedir}/lxml/isoschematron
%dir %{py_sitedir}/lxml/html
%{py_sitedir}/lxml/html/*.py[co]
%attr(755,root,root) %{py_sitedir}/lxml/etree.so
%attr(755,root,root) %{py_sitedir}/lxml/objectify.so
%{py_sitedir}/lxml-*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc docs/* CHANGES.txt CREDITS.txt TODO.txt
%dir %{py3_sitedir}/lxml
%attr(755,root,root) %{py3_sitedir}/lxml/*.so
%{py3_sitedir}/lxml/*.py
%{py3_sitedir}/lxml/__pycache__
%{py3_sitedir}/lxml/isoschematron
%{py3_sitedir}/lxml/html
%{py3_sitedir}/lxml-*.egg-info
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%endif
%changelog
* Tue Jul 31 2012 Mateusz Korniak <matkor@pld-linux.org> bfef698
Version 2.3.5-1.

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> 2812a3c
- Up to 2.3.4

* Sat Jan 07 2012 zbyniu <zbyniu@pld-linux.org> 1c115bf
- up to 2.3.3; new url

* Wed Nov 16 2011 Mateusz Korniak <matkor@pld-linux.org> 8fa1185
- Version 2.3.2-1.

* Fri Sep 30 2011 Mateusz Korniak <matkor@pld-linux.org> 00a871f
- Version 2.3.1-1.

* Fri Jul 15 2011 Jacek Konieczny <jajcus@pld-linux.org> 38e20aa
- include __pycache__
- Release: 2

* Thu Jun 16 2011 zbyniu <zbyniu@pld-linux.org> 7401595
- __pycache__ does not exist

* Sun May 22 2011 wrobell <wrobell@pld-linux.org> ae91e87
- ver. 2.3

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> 1e43413
- rel 2

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> d91419b
- Up to 2.2.8

* Mon Oct 25 2010 Elan Ruusamäe <glen@pld-linux.org> 9295dae
- apidocs subpackage

* Mon Jul 26 2010 Mateusz Korniak <matkor@pld-linux.org> 8d28446
 - Version 2.2.7-1.

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a618712
- release 4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1939d51
- release 3

* Wed May 12 2010 sparky <sparky@pld-linux.org> 5b9652a
- dropped BR: unzip

* Sat Mar 27 2010 Artur Frysiak <artur@frysiak.net> ea280a0
- build python2 and python3 versions from one spec
- release 2

* Wed Mar 03 2010 Artur Frysiak <artur@frysiak.net> c1d4e65
- 2.2.6

* Sun Feb 28 2010 Artur Frysiak <artur@frysiak.net> 201c2cc
- 2.2.5

* Thu Nov 26 2009 sparky <sparky@pld-linux.org> 7217b13
- BR: python-modules, rpm-pythonprov

* Wed Nov 11 2009 Artur Frysiak <artur@frysiak.net> 40b7e14
- updated to 2.2.4

